Subject: Re: [Trans] fyi: Bandwidth-efficient Transparency Logs via Append-only Authenticated Dictionaries (AAD)

From: Ben Laurie <[email-masked]>
Date: Mon, 2 Jul 2018 16:55:55 +0100

Someone should ask him: https://people.csail.mit.edu/alinush/.

On Fri, 22 Jun 2018 at 16:07, =JeffH <[email-masked]> wrote:

> of possible topical interest. I could not find the paper, perhaps it is
> not published as yet...
>
> From: security-seminar <[email-masked]>
> Date: Thursday, June 21, 2018 at 9:16 PM
> To: <[email-masked]>
> Subject: Tuesday, June 26 -- Aline Tomescu: Bandwidth-efficient
> Transparency Logs via Append-only Authenticated Dictionaries
>
>
>
>     Bandwidth-efficient Transparency Logs via Append-only
>                   Authenticated Dictionaries
>
>                          Alin Tomescu
>
>                     Tuesday, June 26, 2018
>                         Talk at 4:15pm
>                           Gates 463A, Stanford, CA
>
> Abstract:
>
> Transparency logs enable anyone to audit a potentially malicious
> service, paving the way towards a more ac- countable Internet. For
> example, Certificate Transparency (CT) enables domain owners to
> audit Certificate Authorities (CAs) and detect impersonation. Yet
> to achieve their full potential, transparency logs must be easily
> auditable by everyone. Specifically, everyone should be able to
> verify both (non)membership of log entries and that the log remains
> append-only. Unfortunately, current transparency logs either provide
> small-sized (non)membership proofs or small-sized append-only proofs,
> but never both. In this paper, we formalize and instantiate a new
> primitive called an append-only authenticated dictionary (AAD) that
> addresses this gap. Our construction provides succinct proofs for both
> (non)membership and append-only checks, solving an open problem in
> the authenticated data structures literature. We believe AADs can
> help scale transparency logs and add more accountability to today?s
> Internet.
>
> Bio:
>
> Alin is a PhD candidate at MIT focusing on public-key distribution
> for HTTPS and secure messaging. His interests lie at the intersection
> of theory and practice: he enjoys applied cryptography and building
> systems.Recently, Alin worked on Catena, a system that leverages
> the Bitcoin blockchain to prevent equivocation attacks on public-key
> directories. In the past, Alin has worked on privacy-preserving file
> systems, private social networking and secure email. Alin's other
> interests include cryptocurrencies, anonymous networks and distributed
> systems in general.
>
> _______________________________________________
> Trans mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trans
>

---

From: Andrew Ayer <[email-masked]>
Date: Mon, 2 Jul 2018 09:11:38 -0700

Thanks, Jeff, for forwarding this.  I was able to attend.  The
paper is isn't published yet, but they're looking to publish soon.

Regards,
Andrew

On Mon, 2 Jul 2018 16:55:55 +0100
Ben Laurie <benl=[email-masked]> wrote:

> > of possible topical interest. I could not find the paper, perhaps
> > it is not published as yet...
> >
> > small-sized (non)membership proofs or small-sized append-only
> > proofs, but never both. In this paper, we formalize and instantiate
> > a new primitive called an append-only authenticated dictionary
> > (AAD) that addresses this gap. Our construction provides succinct
> > proofs for both (non)membership and append-only checks, solving an
> > open problem in the authenticated data structures literature. We
> > believe AADs can help scale transparency logs and add more
> > accountability to today?s Internet.
> >
> > Bio:
> >
> > for HTTPS and secure messaging. His interests lie at the
> > intersection of theory and practice: he enjoys applied cryptography
> > and building systems.Recently, Alin worked on Catena, a system that
> > leverages the Bitcoin blockchain to prevent equivocation attacks on
> > public-key directories. In the past, Alin has worked on
> > privacy-preserving file systems, private social networking and
> > secure email. Alin's other interests include cryptocurrencies,
> > anonymous networks and distributed systems in general.
> >